@use '~/assets/style/variables' as *;

$tabs-list-height: 4.5rem;
$tabs-list-border-bottom-size: 1px;
$tab-border-bottom-size: 3px;

:root {
  --tabs-panel-min-height: 30rem;
}

.fr-tabs {
  box-shadow: none;
}

.fr-tabs::before {
  box-shadow: inset 0 1px 0 0 var(--border-default-grey);
}

.fr-tabs__tab {
  box-shadow: none;
  background-image: none;
  border-bottom: 1px solid var(--border-default-grey);
  border-radius: 0.5rem 0.5rem 0 0;
}

.fr-tabs__tab[aria-selected='true'],
.fr-tabs__tab[aria-selected='true']:not(:disabled) {
  --text-active-blue-france: var(--primary);

  background-image: none;
  border: 1px solid var(--border-default-grey);
  border-bottom: 3px solid var(--primary);
}

// Tab height computing does not take into account multiselect dropdown height
// A min height is necessary to fully display the multiselect in all cases.
.fr-tabs__panel {
  min-height: var(--tabs-panel-min-height);
  padding: 1rem 0 0;
}
